This patch eliminates following CL warnings and errors:
* warning C4099: '...' : type name first seen using 'class' now seen using 'struct'
* error C2027: use of undefined type 'TrackerDelegate'
* error C2061: syntax error : identifier 'int64_t'
* error C2059: syntax error : 'constant'
* error C2675: unary '--' : '' does not define this operator or a conversion to a type acceptable to the predefined operator
Index: qt/formatter.h
===================================================================
--- qt/formatter.h	(revision 14186)
+++ qt/formatter.h	(working copy)
@@ -17,6 +17,8 @@
 #include <QObject>
 #include <QIcon>
 
+#include <stdint.h>
+
 class Speed;
 
 class Formatter: public QObject
Index: qt/freespace-label.h
===================================================================
--- qt/freespace-label.h	(revision 14186)
+++ qt/freespace-label.h	(working copy)
@@ -15,9 +15,10 @@
 
 #include <QString>
 #include <QTimer>
-
 #include <QLabel>
 
+#include <stdint.h>
+
 class Session;
 
 class FreespaceLabel: public QLabel
Index: qt/make-dialog.h
===================================================================
--- qt/make-dialog.h	(revision 14186)
+++ qt/make-dialog.h	(working copy)
@@ -16,16 +16,16 @@
 #include <QDialog>
 #include <QTimer>
 
-struct QAbstractButton;
-struct QPlainTextEdit;
-struct QLineEdit;
-struct QCheckBox;
-struct QLabel;
-struct QPushButton;
-struct QRadioButton;
-struct Session;
-struct QProgressBar;
-struct QDialogButtonBox;
+class QAbstractButton;
+class QPlainTextEdit;
+class QLineEdit;
+class QCheckBox;
+class QLabel;
+class QPushButton;
+class QRadioButton;
+class Session;
+class QProgressBar;
+class QDialogButtonBox;
 
 extern "C"
 {
Index: qt/options.cc
===================================================================
--- qt/options.cc	(revision 14186)
+++ qt/options.cc	(working copy)
@@ -28,6 +28,8 @@
 #include <QWidget>
 #include <QLineEdit>
 
+#include <algorithm>
+
 #include <libtransmission/transmission.h>
 #include <libtransmission/utils.h> /* mime64 */
 #include <libtransmission/variant.h>
Index: qt/torrent-filter.cc
===================================================================
--- qt/torrent-filter.cc	(revision 14186)
+++ qt/torrent-filter.cc	(working copy)
@@ -211,7 +211,7 @@
 void
 TorrentFilter :: countTorrentsPerMode (int * setmeCounts) const
 {
-  std::fill_n (setmeCounts, FilterMode::NUM_MODES, 0);
+  std::fill_n (setmeCounts, static_cast<std::size_t>(FilterMode::NUM_MODES), 0);
 
   for (int row(0); ; ++row)
     { 
Index: qt/torrent.h
===================================================================
--- qt/torrent.h	(revision 14186)
+++ qt/torrent.h	(working copy)
@@ -29,6 +29,10 @@
 #include "speed.h"
 #include "types.h"
 
+#ifdef ERROR
+#undef ERROR
+#endif
+
 extern "C"
 {
   struct tr_variant;
Index: qt/tracker-delegate.h
===================================================================
--- qt/tracker-delegate.h	(revision 14186)
+++ qt/tracker-delegate.h	(working copy)
@@ -10,8 +10,8 @@
  * $Id$
  */
 
-#ifndef QTR_TORRENT_DELEGATE_H
-#define QTR_TORRENT_DELEGATE_H
+#ifndef QTR_TRACKER_DELEGATE_H
+#define QTR_TRACKER_DELEGATE_H
 
 #include <QItemDelegate>
 #include <QSize>
@@ -20,7 +20,7 @@
 class QStyleOptionViewItem;
 class QStyle;
 class Session;
-class TrackerInfo;
+struct TrackerInfo;
 
 class TrackerDelegate: public QItemDelegate
 {
